View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000741aMuleTransferpublic2005-12-20 17:312006-03-21 10:04
Reportertestlinlin 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000741: the total speed possible is incorrect.
Descriptionin my tests, i found the total speed displayed in amuleweb is not equal to the sum of all the down sessions' speed.
at the two red rectangles in my test-case's picture, they are very different.
my internet connection is ADSL, the bandwith is U:50KByte/D:2OOKByte. so i think that the session's speed is correct and the total speed incorrect.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filespng file icon speederr.png [^] (67,185 bytes) 2005-12-20 17:32

- Relationships

-  Notes
(0001705)
Kry (manager)
2005-12-21 16:01

Why don't you check with iptraf which one is true?
(0001706)
pcmaster (reporter)
2005-12-21 23:28

In my computer, is the same case. Using amule and amulegui in two separate computers. In some cases, the sum of the individual download speed of all files is equal to the total download speed displayed in the status bar in the bottom of the window, but it shows a very high (imposible) speed: sometimes shows is downloading at 50-90 KB/seg... whith my ADSL 256/128 Kbit/seg connection.
(0001719)
arichy (reporter)
2006-01-02 20:23

The total download rate shown in amule 2.1.0 at the bottom is much lower (e.g. half) than the sum of the shown download rates of the single files (which seem to be correct, as the file growth is proportional to the displayed speed).
In amule cvs-2005-12-17 this problem was not. Now (2.1.0) there is also nearly constantly a cpu (Pentium 166 MMX) usage of 100%, with cvs-2005-12-17 it was only about 50 to 70 %. Maybe amule has no time anymore to calculate accurately? compiled both the same way in the same environment.
(0001742)
pcmaster (reporter)
2006-01-10 10:19

Currently mu amule is upgraded to the last stable version: 2.1.0.

At this moment, in the estatus bar amule is downloading at a total speed of 6,9 KB/seg, but each file (is downloading two files) has a download speed > 6 KB/seg, (adding manualy the individual speeds of the files, the total is about 20-26 KB/seg).

Seems that amulegui shows incorrect individual speed of files in downloads.
The upload speeds are OK.
(0001905)
Kry (manager)
2006-03-21 08:06

Check CVS please
(0001911)
Kry (manager)
2006-03-21 10:04

Should be
A U T O M A G I C A L L Y
solved.

- Issue History
Date Modified Username Field Change
2005-12-20 17:31 testlinlin New Issue
2005-12-20 17:32 testlinlin File Added: speederr.png
2005-12-21 16:01 Kry Status new => assigned
2005-12-21 16:01 Kry Assigned To => Kry
2005-12-21 16:01 Kry Note Added: 0001705
2005-12-21 23:28 pcmaster Note Added: 0001706
2006-01-02 20:23 arichy Note Added: 0001719
2006-01-10 10:19 pcmaster Note Added: 0001742
2006-03-21 08:06 Kry Note Added: 0001905
2006-03-21 10:04 Kry Status assigned => resolved
2006-03-21 10:04 Kry Fixed in Version => CVS
2006-03-21 10:04 Kry Resolution open => fixed
2006-03-21 10:04 Kry Note Added: 0001911


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker